 MODULE common_variable_declarations
 !=====================================================================================
 ! Variables and constants
 !=====================================================================================
 USE precise
 
 IMPLICIT NONE

 INTEGER :: natoms,output_FID,atom1,atom2,num_sym_unique_atom_image_pairs_large,i,j,k,&
 num_sym_unique_atom_image_pairs_small,periodicsumlimitA,periodicsumlimitB,periodicsumlimitC

 REAL(kind=dp) :: multibody_screening_parameter,vector1(3),vector2(3),vector3(3),total_radius,distance_to_attenuation_ratio,&
 dipole_interaction_cutoff_length,distance,attenuation_length,delta_x,delta_y,delta_z,distance_to_attenuation_ratio_cutoff
 
 REAL(kind=dp),ALLOCATABLE,DIMENSION(:) :: unscreened_damping_radius,wp,static_unscreened_atomic_polarizability
 
 REAL(kind=dp),ALLOCATABLE,DIMENSION(:,:) :: coords,atom_image_pair_matrix_large,atom_image_pair_matrix_small 
  
 LOGICAL :: periodicA,periodicB,periodicC,ignore_PBC
 
 !===============================================================================================================================
 !Constants
 REAL(kind=dp),PARAMETER :: bohrperangstrom = 1.889725989_dp,zero_tolerance=1.0e-14_dp
 
 END MODULE common_variable_declarations